Post Pic

Running Umbraco v4 on ASP.NET 3.5

A project I am currently working on is based on the soon to be launched Umbraco v4 and as I will be running it on a new server I wanted to use the lastest and greatest version of the .Net framework. I didn’t get off to a great start as the ASP.NET AJAX references in the Web.config all target version 1.0.61025.0 of the System.Web.Extensions so the applcation throws exceptions. Thankfully it didn’t take long to stumple across a blog post that helped me towards the solution. Adding the following(below) to your Web.config references the correct versions of the extensions nice and easy and gets things back up and running.

<runtime>
<assemblybinding xmlns="urn:schemas-microsoft-com:asm.v1">
<dependentassembly>
<assemblyidentity name="System.Web.Extensions" publicKeyToken="31bf3856ad364e35"/>
<bindingredirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0"/>
</dependentassembly>
<dependentassembly>
<assemblyidentity name="System.Web.Extensions.Design" publicKeyToken="31bf3856ad364e35"/>
<bindingredirect oldVersion="1.0.0.0-1.1.0.0" newVersion="3.5.0.0"/>
</dependentassembly>
</assemblybinding>
</runtime>

Umbraco Certified Developer
SagePay Approved Partner
Creative Market